Subject: Re: [PATCH v10 net-next 1/7] mfd: ocelot: add helper to get regmap from a resource

From: Colin Foster <[email-masked]>
Date: Sat, 11 Jun 2022 10:11:48 -0700

Hi Andy,

On Sat, Jun 11, 2022 at 12:37:26PM +0200, Andy Shevchenko wrote:
> On Fri, Jun 10, 2022 at 10:23 PM Colin Foster
> <[email-masked]> wrote:
> >
> > Several ocelot-related modules are designed for MMIO / regmaps. As such,
> > they often use a combination of devm_platform_get_and_ioremap_resource and
> > devm_regmap_init_mmio.
> >
> > Operating in an MFD might be different, in that it could be memory mapped,
> > or it could be SPI, I2C... In these cases a fallback to use IORESOURCE_REG
> > instead of IORESOURCE_MEM becomes necessary.
> >
> > When this happens, there's redundant logic that needs to be implemented in
> > every driver. In order to avoid this redundancy, utilize a single function
> > that, if the MFD scenario is enabled, will perform this fallback logic.
> 
> v10 has the same issues I have pointed out in v9.
> 
> Please, take your time and instead of bombing mailing lists with new
> versions try to look how other (most recent) drivers have been done.

Yes - I recognize that my decision to try to throw in a quick fix was
the wrong one. My apologies.

When you mention looking at more recent drivers - are you referencing
the submission process, or something else?

> 
> Also pay attention to the API design.

I understand if I'm making a helper function, that helper function
shouldn't change the API if it can be avoided. Hopefully the updates I
suggested are the correct ones.

Thanks again for the feedback.

> -- 
> With Best Regards,
> Andy Shevchenko